/*
 * libkysdk-system's Library
 *
 * Copyright (C) 2022, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yunhe Liu <liuyunhe@kylinos.cn>
 *
 */

#include "libkyboard.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

const char *kdk_board_get_name()
{
    char *name = (char *)calloc(64,sizeof(char));
    FILE *fd = fopen("/sys/class/dmi/id/board_name","r");
    if(fd)
    {
        fgets(name,64,fd);
        fclose(fd);
    }
    return name;
}

const char *kdk_board_get_date()
{
    char *date = (char *)calloc(64,sizeof(char));
    FILE *fd = fopen("/sys/class/dmi/id/bios_date","r");
    if(fd)
    {
        fgets(date,64,fd);
        fclose(fd);
    }
    return date;
}

const char *kdk_board_get_serial()
{
    char *serial = (char *)calloc(64,sizeof(char));
    FILE *fd = fopen("/sys/class/dmi/id/board_serial","r");
    if(fd)
    {
        fgets(serial,64,fd);
        fclose(fd);
    }
    return serial;
}

const char *kdk_board_get_vendor()
{
    char *vendor = (char *)calloc(64,sizeof(char));
    FILE *fd = fopen("/sys/class/dmi/id/board_vendor","r");
    if(fd)
    {
        fgets(vendor,64,fd);
        fclose(fd);
    }
    return vendor;
}

void kdk_board_free(char* info)
{
    free(info);
}
