#include <stdio.h>
#include <time.h>
#include <libkyimageproc.h>

double my_get_timestamp()
{
  struct timespec a;
  clock_gettime(CLOCK_MONOTONIC, &a);
  return ((double)a.tv_nsec * 1.0e-9) + (double)a.tv_sec;
}

int main(int argc, char **argv)
{
    if(argc < 2)
    {
      printf("请输入目标编码文件\n");
      return 0;
    }
    double start = my_get_timestamp();
    void * handle = kdk_jpeg_encoder_init();
    double end = my_get_timestamp();
    printf("jpeg encoder init %.2fms\n", (end - start) * 1000);

    start = my_get_timestamp();
    kdk_jpeg_encode_to_file(handle,argv[1],"dest.jpg");
    end = my_get_timestamp();
   	printf("encode image %.2fms\n", (end - start) * 1000);
    kdk_jpeg_encoder_release(handle);
    return 0;
}